org.apache.storm.metricstore

## Class NoOpMetricStore

- java.lang.Object
- - org.apache.storm.metricstore.NoOpMetricStore

- All Implemented Interfaces:
    AutoCloseable, MetricStore

      public class NoOpMetricStore
      extends Object
      implements MetricStore

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.metricstore.MetricStore

      `MetricStore.ScanCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpMetricStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the metric store.
    `void` | `insert(Metric metric)` Stores a metric in the store.
    `boolean` | `populateValue(Metric metric)` Fill out the numeric values for a metric.
    `void` | `prepare(Map<String,Object> config, StormMetricsRegistry metricsRegistry)` Create metric store instance using the configurations provided via the config map.
    `void` | `scan(FilterOptions filter, MetricStore.ScanCallback scanCallback)` Scans all metrics in the store and returns the ones matching the specified filtering options.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpMetricStore

          public NoOpMetricStore()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> config,
                              StormMetricsRegistry metricsRegistry)

      Description copied from interface: `MetricStore`

      Create metric store instance using the configurations provided via the config map.

      Specified by:
        `prepare` in interface `MetricStore`
      Parameters:
        `config` - Storm config map
        `metricsRegistry` - The Nimbus daemon metrics registry

    - #### insert

          public void insert(Metric metric)

      Description copied from interface: `MetricStore`

      Stores a metric in the store.

      Specified by:
        `insert` in interface `MetricStore`
      Parameters:
        `metric` - Metric to store

    - #### populateValue

          public boolean populateValue(Metric metric)

      Description copied from interface: `MetricStore`

      Fill out the numeric values for a metric.

      Specified by:
        `populateValue` in interface `MetricStore`
      Parameters:
        `metric` - Metric to populate
      Returns:
        true if the metric was populated, false otherwise

    - #### close

          public void close()

      Description copied from interface: `MetricStore`

      Close the metric store.

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `MetricStore`

    - #### scan

          public void scan(FilterOptions filter,
                           MetricStore.ScanCallback scanCallback)

      Description copied from interface: `MetricStore`

      Scans all metrics in the store and returns the ones matching the specified filtering options.

      Specified by:
        `scan` in interface `MetricStore`
      Parameters:
        `filter` - options to filter by
        `scanCallback` - callback for each Metric found

Copyright © 2021 The Apache Software Foundation. All rights reserved.